This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293984 - If client operation (i.e. package install) fails, relevant task in Satellite should fail as well
If client operation (i.e. package install) fails, relevant task in Satellite ...
Status: CLOSED DUPLICATE of bug 1262940
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.1.5
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: Stephen Benjamin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 16:57 EST by Pavel Moravec
Modified: 2017-04-25 12:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 04:50:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Moravec 2015-12-23 16:57:11 EST
Description of problem:
If client operation (i.e. yum install package / apply errata / ..) fails, relevant task in Satellite is marked as success. That confuses Satellite's user wrongly assuming the operation succeeded (i.e. critical security errata applied successfully).

There can be numerous reasons why such operation might fail:
- 403 error
- package already installed (should we report this as failure?)
- yum error like bz1293982 (see reproducer there, will post Satellite's task details of "success" here)
- rpm DB error
- ..

I expect the bug is in pulp task, since the pulp_task output contains proper failure info not propagated further - please reassign elsewhere (goferd? or foreman task?) if I am wrong with the assumption.


Version-Release number of selected component (if applicable):
Sat 6.1.5


How reproducible:
should be 100%


Steps to Reproduce:
1. See problem description - many scenarios can exist. If unsure / unable to find one, I can help.


Actual results:
foreman task in Satellite is marked as success, despite pulp task apparently failed (or the yum work did, at least)


Expected results:
foreman task to be marked as failed


Additional info:

Note You need to log in before you can comment on or make changes to this bug.